Get a View

Hand off to an LLM

Retrieve a view by ID.

Returns the view's current version. To inspect a historical version, fetch the list of versions on the View object and re-request with the desired version pinned (versions are immutable once created).

GET
/v3/views/{view_id}
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

view_id*string

Unique identifier of the view.

Response Body

application/json

curl -X GET "https://api.bem.ai/v3/views/string"
{
  "viewID": "string",
  "name": "string",
  "description": "string",
  "currentVersionNum": 0,
  "columns": [
    {
      "name": "string",
      "valueSchemaPath": [
        "string"
      ],
      "displayOrderIndex": 0
    }
  ],
  "filters": [
    {
      "columnName": "string",
      "filterType": "equals_string",
      "string": "string",
      "number": 0.1
    }
  ],
  "aggregations": [
    {
      "name": "string",
      "function": "count",
      "aggregateColumnName": "string",
      "groupByColumnName": "string",
      "displayType": "table"
    }
  ],
  "functions": [
    {
      "id": "string",
      "name": "string"
    }
  ]
}